	import * as THREE from 'three';


	// fug rack
	export function rid(width=800, height=1900, depth=600) {
		const id_rackObject = new THREE.Object3D();
	
		const materialGreyDark= new THREE.MeshLambertMaterial({color: 0x9d9d9d});
		const materialGreyMedium= new THREE.MeshLambertMaterial({color: 0x636363});
		const materialVeryGreyDark= new THREE.MeshLambertMaterial({color: 0x242424});
		const silvermaterial = new THREE.MeshLambertMaterial({color: 0xf0f0f0});
		const greenmaterial = new THREE.MeshLambertMaterial({color: 0x17fc03});
		const redmaterial = new THREE.MeshLambertMaterial({color: 0xff0000});
		const yellowmaterial = new THREE.MeshLambertMaterial({color: 0xcc9d02});
		const whitematerial = new THREE.MeshLambertMaterial({color: 0xffffff});
		const materialDarkblue = new THREE.MeshLambertMaterial({color: 0x021061});
		const materialThightblue = new THREE.MeshLambertMaterial({color: 0x96a5fa});
		const materialviolet = new THREE.MeshLambertMaterial({color: 0xa425b8});
		const blackmaterial = new THREE.MeshLambertMaterial({color: 0x000000});
		const target = new THREE.MeshLambertMaterial({color: 0xfbe928});
		
		//rack
		const rgeometry = new THREE.BoxGeometry(width, height, depth);
		const rmesh = new THREE.Mesh(rgeometry, silvermaterial);
		rmesh.position.set(0 , 0 , 0);
		id_rackObject.add(rmesh);
		
		//screen border	
		const screenbordergeometry = new THREE.BoxGeometry(10, 250, 350);
		const screenbordergeometrymesh = new THREE.Mesh(screenbordergeometry, whitematerial);
		screenbordergeometrymesh.position.set( -400, 500 , 0);
		id_rackObject.add(screenbordergeometrymesh);
		
		//screen 	
		const screengeometry = new THREE.BoxGeometry(10, 200, 300);
		const screengeometrymesh = new THREE.Mesh(screengeometry, materialDarkblue);
		screengeometrymesh.position.set( -401, 500 , 0);
		id_rackObject.add(screengeometrymesh);		
		
		//wiendow screen 	
		const screenwindowgeometry = new THREE.BoxGeometry(10, 150, 150);
		const screenwindowgeometrymesh = new THREE.Mesh(screenwindowgeometry, materialThightblue);
		screenwindowgeometrymesh.position.set( -402, 500 , -40);
		id_rackObject.add(screenwindowgeometrymesh);	
		
		//window screen green button	
		const screenwindowgreenbuttongeometry = new THREE.BoxGeometry(10, 25, 35);
		const screenwindowgreenbuttongeometryymesh = new THREE.Mesh(screenwindowgreenbuttongeometry, greenmaterial);
		screenwindowgreenbuttongeometryymesh.position.set( -403, 540 , -80);
		id_rackObject.add(screenwindowgreenbuttongeometryymesh);
		
		//window screen violet button	
		const screenwindowvioletbuttongeometry = new THREE.BoxGeometry(10, 25, 35);
		const screenwindowvioletbuttongeometryymesh = new THREE.Mesh(screenwindowvioletbuttongeometry, materialviolet);
		screenwindowvioletbuttongeometryymesh.position.set( -403, 510 , -80);
		id_rackObject.add(screenwindowvioletbuttongeometryymesh);	
		
		//window screen blu button	
		const screenwindowblubuttongeometry = new THREE.BoxGeometry(10, 25, 35);
		const screenwindowblubuttongeometryymesh = new THREE.Mesh(screenwindowblubuttongeometry, materialDarkblue);
		screenwindowblubuttongeometryymesh.position.set( -403, 480 , -80);
		id_rackObject.add(screenwindowblubuttongeometryymesh);		
		
		//key		
		const keygeometry = new THREE.BoxGeometry(50, 200, 50);
		const keygeometrymesh = new THREE.Mesh(keygeometry, whitematerial);
		keygeometrymesh.position.set( -400, -400 , -250);
		id_rackObject.add(keygeometrymesh);
		//key2		
		const key2geometry = new THREE.CylinderGeometry(15, 15, 15, 15);
		const key2geometrymesh = new THREE.Mesh(key2geometry, materialGreyMedium);
		key2geometrymesh.rotateX(Math.PI * 0.5);
		key2geometrymesh.rotateY(Math.PI * 1);
		key2geometrymesh.rotateZ(Math.PI * 0.5);		
		key2geometrymesh.position.set(-421, -400 , -250);		
		id_rackObject.add(key2geometrymesh);	
	
		//whitebutton1
		const whitebutton = new THREE.CylinderGeometry(30, 30, 30, 15);
		const whitebuttonmesh = new THREE.Mesh(whitebutton, whitematerial);
		whitebuttonmesh.rotateX(Math.PI * 0.5);
		whitebuttonmesh.rotateY(Math.PI * 1);
		whitebuttonmesh.rotateZ(Math.PI * 0.5);		
		whitebuttonmesh.position.set(-405, 200 , -200);		
		id_rackObject.add(whitebuttonmesh);			

		//blackbutton1
		const blackbutton1 = new THREE.CylinderGeometry(30, 30, 30, 15);
		const blackbutton1mesh = new THREE.Mesh(blackbutton1, materialVeryGreyDark);
		blackbutton1mesh.rotateX(Math.PI * 0.5);
		blackbutton1mesh.rotateY(Math.PI * 1);
		blackbutton1mesh.rotateZ(Math.PI * 0.5);		
		blackbutton1mesh.position.set(-405, 200 , -100);		
		id_rackObject.add(blackbutton1mesh);
		
		//blackbutton2
		const blackbutton2 = new THREE.CylinderGeometry(30, 30, 30, 15);
		const blackbutton2mesh = new THREE.Mesh(blackbutton2, materialVeryGreyDark);
		blackbutton2mesh.rotateX(Math.PI * 0.5);
		blackbutton2mesh.rotateY(Math.PI * 1);
		blackbutton2mesh.rotateZ(Math.PI * 0.5);		
		blackbutton2mesh.position.set(-405, 200 , 0);		
		id_rackObject.add(blackbutton2mesh);	
		
		//blackbutton3
		const blackbutton3 = new THREE.CylinderGeometry(30, 30, 30, 15);
		const blackbutton3mesh = new THREE.Mesh(blackbutton3, materialVeryGreyDark);
		blackbutton3mesh.rotateX(Math.PI * 0.5);
		blackbutton3mesh.rotateY(Math.PI * 1);
		blackbutton3mesh.rotateZ(Math.PI * 0.5);		
		blackbutton3mesh.position.set(-405, 200 , 100);		
		id_rackObject.add(blackbutton3mesh);
		
		//yellowbutton
		const yellowbutton = new THREE.CylinderGeometry(30, 30, 30, 15);
		const yellowbuttonmesh = new THREE.Mesh(yellowbutton, yellowmaterial);
		yellowbuttonmesh.rotateX(Math.PI * 0.5);
		yellowbuttonmesh.rotateY(Math.PI * 1);
		yellowbuttonmesh.rotateZ(Math.PI * 0.5);		
		yellowbuttonmesh.position.set(-405, 200 , 200);		
		id_rackObject.add(yellowbuttonmesh);		
		
		//emergencybutton yellow 
		const emergencybuttonyellow = new THREE.CylinderGeometry(70, 70, 5, 15);
		const emergencybuttonyellowmesh = new THREE.Mesh(emergencybuttonyellow, yellowmaterial);
		emergencybuttonyellowmesh.rotateX(Math.PI * 0.5);
		emergencybuttonyellowmesh.rotateY(Math.PI * 1);
		emergencybuttonyellowmesh.rotateZ(Math.PI * 0.5);		
		emergencybuttonyellowmesh.position.set(-403, 50 , 150);		
		id_rackObject.add(emergencybuttonyellowmesh);				
		
		//emergencybutton red  
		const emergencybutton = new THREE.CylinderGeometry(50, 50, 30, 15);
		const emergencybuttonmesh = new THREE.Mesh(emergencybutton, redmaterial);
		emergencybuttonmesh.rotateX(Math.PI * 0.5);
		emergencybuttonmesh.rotateY(Math.PI * 1);
		emergencybuttonmesh.rotateZ(Math.PI * 0.5);		
		emergencybuttonmesh.position.set(-405, 50 , 150);		
		id_rackObject.add(emergencybuttonmesh);	
		
		//front yellow target
		const Ftarget = new THREE.BoxGeometry(2, 90, 500);
		const Ftargetmesh = new THREE.Mesh(Ftarget, target);
		Ftargetmesh.position.set( -451, 900 , -15);
		id_rackObject.add(Ftargetmesh);		
		//Rear yellow target
		const Rtarget = new THREE.BoxGeometry(2, 90, 500);
		const Rtargetmesh = new THREE.Mesh(Rtarget, target);
		Rtargetmesh.position.set( 401, 900 , -15);
		id_rackObject.add(Rtargetmesh);
		
	
		return id_rackObject;
	}
