	import * as THREE from 'three';

	// Bending Dipole
	export function dipoleboosterfast(length=1915) {
		const dipoleMaster = new THREE.Object3D();
		const dmaterial = new THREE.MeshLambertMaterial({color: 0x009000});
		const d1geometry = new THREE.BoxGeometry(550, 400, length);
		const d1mesh = new THREE.Mesh(d1geometry, dmaterial);
		d1mesh.position.set(-100, 100, 0);
		dipoleMaster.add(d1mesh);				
		return dipoleMaster;
	}
